Name | Type | Default |
animationShowDuration
|
Number
|
350
|
Sets or gets the animationShowDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [animationShowDuration]="1000"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
animationHideDuration
|
Number
|
fast
|
Sets or gets the animationHideDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [animationHideDuration]="1000"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
allowDrag
|
Boolean
|
false
|
Sets or gets the allowDrag property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [allowDrop]="true" [allowDrag]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
allowDrop
|
Boolean
|
false
|
Sets or gets the allowDrop property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [allowDrop]="true" [allowDrag]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
checkboxes
|
Boolean
|
false
|
Sets or gets the checkboxes property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [checkboxes]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
dragStart
|
(item: Any) => Boolean
|
null
|
Sets or gets the dragStart property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [dragStart]="dragStart"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
dragEnd
|
(dragItem?: Any, dropItem?: Any, args?: Any, dropPosition?: Any, tree?: Any) => Boolean
|
null
|
Sets or gets the dragEnd property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [dragEnd]="dragEnd"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [disabled]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
easing
|
String
|
'easeInOutCirc'
|
Sets or gets the easing property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [easing]="'easeInOutCirc'"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
enableHover
|
Boolean
|
true
|
Sets or gets the enableHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [enableHover]="false"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [height]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets the hasThreeStates property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [hasThreeStates]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
incrementalSearch
|
Boolean
|
true
|
Sets or gets the incrementalSearch property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [incrementalSearch]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
keyboardNavigation
|
Boolean
|
true
|
Sets or gets the keyboardNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [keyboardNavigation]="false"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [rtl]="true"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
selectedItem
|
Any
|
null
|
Sets or gets the selectedItem property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [selectedItem]="selectedItem"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
source
|
Any
|
null
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [source]="source"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
toggleIndicatorSize
|
Number
|
16
|
Sets or gets the toggleIndicatorSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [toggleIndicatorSize]="20"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
toggleMode
|
enum:TreeToggleMode
|
dblclick
|
enum TreeToggleMode { click, dblclick } Sets or gets the toggleMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [toggleMode]="'click'"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300" [theme]="'energyblue'"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
|
added
|
Event
|
|
This event is triggered when the user adds a new tree item.
Code examples
Bind to the added event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onAdded)="Added($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
checkChange
|
Event
|
|
This event is triggered when the user checks, unchecks or the checkbox is in indeterminate state.
Code examples
Bind to the checkChange event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onCheckChange)="CheckChange($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { CheckChange(event: any): void
|
collapse
|
Event
|
|
This event is triggered when the user collapses a tree item.
Code examples
Bind to the collapse event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onCollapse)="Collapse($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { Collapse(event: any): void
|
dragStart
|
Event
|
|
This event is triggered when the user starts a drag operation.
Code examples
Bind to the dragStart event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onDragStart)="DragStart($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { DragStart(event: any): void
|
dragEnd
|
Event
|
|
This event is triggered when the user drops an item.
Code examples
Bind to the dragEnd event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onDragEnd)="DragEnd($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { DragEnd(event: any): void
|
expand
|
Event
|
|
This event is triggered when the user expands a tree item.
Code examples
Bind to the expand event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onExpand)="Expand($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
initialized
|
Event
|
|
This event is triggered when the jqxTree is created and initialized.
Code examples
Bind to the initialized event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onInitialized)="Initialized($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { Initialized(event: any): void
|
itemClick
|
Event
|
|
This event is triggered when the user clicks a tree item.
Code examples
Bind to the itemClick event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onItemClick)="ItemClick($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { ItemClick(event: any): void
|
removed
|
Event
|
|
This event is triggered when the user removes a tree item.
Code examples
Bind to the removed event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onRemoved)="Removed($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent { Removed(event: any): void
|
select
|
Event
|
|
This event is triggered when the user selects a tree item.
Code examples
Bind to the select event of jqxTree.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree(onSelect)="Select($event)" [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent {
|
|
Name | Return Type | Arguments |
addBefore
|
Void
|
item: Any, id: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.addBefore( 'item',1);
|
addAfter
|
Void
|
item: Any, id: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.addAfter( 'item','item2');
|
addTo
|
Void
|
item: Any, id: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.addTo( 'item','parentItem');
|
clear
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
checkAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
checkItem
|
Void
|
item: Any, checked: Boolean
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.checkItem( 'item',true);
|
collapseAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.collapseAll();
|
collapseItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.collapseItem( 'item');
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
disableItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.disableItem( 'item');
|
ensureVisible
|
Void
|
item: Object
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.ensureVisible( 'item');
|
enableItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.enableItem( 'item');
|
enableAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
expandAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
expandItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.expandItem( 'item');
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
getCheckedItems
|
Array<TreeItem>
|
None
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getCheckedItems();
|
getUncheckedItems
|
Array<TreeItem>
|
None
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getUncheckedItems();
|
getItems
|
Array<TreeItem>
|
None
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getItems();
|
getItem
|
TreeItem
|
element: Any
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getItem( 'item');
|
getSelectedItem
|
TreeItem
|
None
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getSelectedItem();
|
getPrevItem
|
TreeItem
|
None
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getPrevItem();
|
getNextItem
|
TreeItem
|
None
|
interface TreeItem { label?: String; value?: String; disabled?: Boolean; checked?: Boolean; element?: Any; parentElement?: Any; isExpanded?: Boolean; selected?: Boolean; } import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.getNextItem();
|
hitTest
|
Any
|
left: Number, top: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.hitTest(100,100);
|
removeItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.removeItem( 'item');
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent;
|
selectItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.selectItem( 'item');
|
uncheckAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.uncheckAll();
|
uncheckItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.uncheckItem( 'item');
|
updateItem
|
Void
|
item: Any, newItem: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { this.myTree.updateItem( 'item','newItem');
|
val
|
String
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTree #myTree [width]="300"> <ul> <li id='home'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> </ul> </li> <li> Communities <ul> <li>Designers </li> <li>Developers </li> <li> By resource <ul> <li>Labs </li> <li>TV </li> </ul> </li> </ul> </li> </ul> </jqxTree> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTree') myTree: jqxTreeComponent; ngAfterViewInit(): void { let value = this.myTree.val();
|

Name | Type | Default |
animationShowDuration
|
Number
|
350
|
Sets or gets the duration of the show animation.
<template> <JqxTree ref="myTree" :width="400" :animationShowDuration="1000"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
animationHideDuration
|
Number
|
fast
|
Sets or gets the duration of the hide animation.
<template> <JqxTree ref="myTree" :width="400" :animationHideDuration="1000"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
allowDrag
|
Boolean
|
false
|
Enables the dragging of Tree Items.
<template> <JqxTree ref="myTree" :width="400" :allowDrop="true" :allowDrag="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
allowDrop
|
Boolean
|
false
|
Enables the dropping of Tree Items.
<template> <JqxTree ref="myTree" :width="400" :allowDrop="true" :allowDrag="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
checkboxes
|
Boolean
|
false
|
Sets or gets whether the tree should display a checkbox next to each item. In order to use this feature, you need to include the jqxcheckbox.js.
<template> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
dragStart
|
Function
|
null
|
Callback function which is called when a drag operation starts.
<template> <JqxTree ref="myTree" :width="400" :dragStart="dragStart"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { dragStart: function (item) {
|
dragEnd
|
Function
|
null
|
Callback function which is called when a drag operation ends.
<template> <JqxTree ref="myTree" :width="400" :dragEnd="dragEnd"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { dragEnd: function (dragItem, dropItem, args, dropPosition, tree) { console.log(dragItem); console.log(dropItem) console.log(args); console.log(dropPosition);
|
disabled
|
Boolean
|
false
|
Gets or sets whether the tree is disabled.
<template> <JqxTree ref="myTree" :width="400" :disabled="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
easing
|
String
|
'easeInOutCirc'
|
Sets or gets the animation's easing to one of the JQuery's supported easings.
<template> <JqxTree ref="myTree" :width="400" :easing="'easeInOutCirc'"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
enableHover
|
Boolean
|
true
|
Enables or disables the hover state.
<template> <JqxTree ref="myTree" :width="400" :enableHover="false"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
height
|
Number | String
|
null
|
Sets or gets the tree's height.
<template> <JqxTree ref="myTree" :width="400" :height="300"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets whether the tree checkboxes have three states - checked, unchecked and indeterminate.
<template> <JqxTree ref="myTree" :width="400" :checkboxes="true" :hasThreeStates="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
incrementalSearch
|
Boolean
|
true
|
Determines whether the incremental search is enabled. The feature allows you to quickly find and select items by typing when the widget is on focus.
<template> <JqxTree ref="myTree" :width="400" :incrementalSearch="false"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
keyboardNavigation
|
Boolean
|
true
|
Enables or disables the key navigation.
<template> <JqxTree ref="myTree" :width="400" :keyboardNavigation="false"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxTree ref="myTree" :width="400" :rtl="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
source
|
Array | Object
|
null
|
Specifies the jqxTree's data source. Use this property to populate the jqxTree.
- label - sets the item's label.
- value - sets the item's value.
- html - item's html. The html to be displayed in the item.
- id - sets the item's id.
- disabled - sets whether the item is enabled/disabled.
- checked - sets whether the item is checked/unchecked(when checkboxes are enabled).
- expanded - sets whether the item is expanded or collapsed.
- selected - sets whether the item is selected.
- items - sets an array of sub items.
- icon - sets the item's icon(url is expected).
- iconsize - sets the size of the item's icon.
<template> <JqxTree ref="myTree" :width="200" :source="source" /> </template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, data: function () { return { source: [ { label: "Mail", expanded: true, items: [ { label: "Calendar" }, { label: "Contacts" } ] }, { label: "Inbox", items: [ { label: "Admin" }, { label: "Corporate" }, { label: "Finance" }, { label: "Other" } ] }, { label: "Deleted Items" }
|
toggleIndicatorSize
|
Number
|
16
|
Sets or gets the size of the expand/collapse arrows.
<template> <JqxTree ref="myTree" :width="400" :toggleIndicatorSize="20"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
toggleMode
|
String
|
dblclick
|
Sets or gets user interaction used for expanding or collapsing any item.
Possible Values:
'click'
'dblclick'
<template> <JqxTree ref="myTree" :width="400" :toggleMode="'click'"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxTree ref="myTree" :width="400" :theme="'material'"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
width
|
Number | String
|
null
|
Sets or gets the tree's width.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue';
|
|
added
|
Event
|
|
This event is triggered when the user adds a new tree item.
Code examples
Bind to the added event of jqxTree.
<template> <div> <JqxTree ref="myTree" @added="onAdded($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="50" @click="add()">Add </jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { add: function () { this.$refs.myTree.addTo({ label: 'Item' }); }, onAdded: function (event) { alert( 'do something...');
|
checkChange
|
Event
|
|
This event is triggered when the user checks, unchecks or the checkbox is in indeterminate state.
Code examples
Bind to the checkChange event of jqxTree.
<template> <JqxTree ref="myTree" @checkChange="onCheckChange($event)" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onCheckChange: function (event) { alert( 'do something...');
|
collapse
|
Event
|
|
This event is triggered when the user collapses a tree item.
Code examples
Bind to the collapse event of jqxTree.
<template> <JqxTree ref="myTree" @collapse="onCollapse($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onCollapse: function (event) { alert( 'do something...');
|
dragStart
|
Event
|
|
This event is triggered when the user starts a drag operation.
Code examples
Bind to the dragStart event of jqxTree.
<template> <JqxTree ref="myTree" @dragStart="onDragStart($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onDragStart: function (event) { alert( 'do something...');
|
dragEnd
|
Event
|
|
This event is triggered when the user drops an item.
Code examples
Bind to the dragEnd event of jqxTree.
<template> <JqxTree ref="myTree" @dragEnd="onDragEnd($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onDragEnd: function (event) { alert( 'do something...');
|
expand
|
Event
|
|
This event is triggered when the user expands a tree item.
Code examples
Bind to the expand event of jqxTree.
<template> <JqxTree ref="myTree" @expand="onExpand($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onExpand: function (event) { alert( 'do something...');
|
itemClick
|
Event
|
|
This event is triggered when the user clicks a tree item.
Code examples
Bind to the itemClick event of jqxTree.
<template> <JqxTree ref="myTree" @itemClick="onItemClick($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onItemClick: function (event) { alert( 'do something...');
|
removed
|
Event
|
|
This event is triggered when the user removes a tree item.
Code examples
Bind to the removed event of jqxTree.
<template> <div> <JqxTree ref="myTree" @removed="onRemoved($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="remove()">Remove Selected </jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { remove: function () { let selected = this.$refs.myTree.getSelectedItem(); this.$refs.myTree.removeItem(selected); }, onRemoved: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when the user selects a tree item.
Code examples
Bind to the select event of jqxTree.
<template> <JqxTree ref="myTree" @select="onSelect($event)" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, methods: { onSelect: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addBefore
|
item, id
|
None
|
Adds an item as a sibling of another item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let items = this.$refs.myTree.getItems(); let element = items[0].element; this.$refs.myTree.addBefore( 'item', element);
|
addAfter
|
item, id
|
None
|
Adds an item as a sibling of another item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let items = this.$refs.myTree.getItems(); let element = items[0].element; this.$refs.myTree.addAfter( 'item', element);
|
addTo
|
item, id
|
None
|
Adds an item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let items = this.$refs.myTree.getItems(); let element = items[0].element; this.$refs.myTree.addTo( 'item', element);
|
clear
|
None
|
None
|
Removes all elements.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.clear();
|
checkAll
|
None
|
None
|
Checks all tree items.
<template> <div> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="checkAll()">Check All </jqxButton> <jqxButton :width="150" @click="uncheckAll()">Uncheck All </jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { checkAll: function () { this.$refs.myTree.checkAll(); }, uncheckAll: function () { this.$refs.myTree.uncheckAll();
|
checkItem
|
item, checked
|
None
|
Checks a tree item.
<template> <div> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li ref="government">Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="check()">Check 'Government'</jqxButton> <jqxButton :width="150" @click="uncheck()">Uncheck 'Government'</jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { check: function () { let item = this.$refs.government; this.$refs.myTree.checkItem(item); }, uncheck: function () { let item = this.$refs.government; this.$refs.myTree.uncheckItem(item);
|
collapseAll
|
None
|
None
|
Collapses all items.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.collapseAll();
|
collapseItem
|
item
|
None
|
Collapses a tree item by passing an element as parameter.
<template> <div> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="expand()">Expand 'Solutions'</jqxButton> <jqxButton :width="150" @click="collapse()">Collapse 'Solutions'</jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { expand: function () { let item = this.$refs.solutions; this.$refs.myTree.expandItem(item); }, collapse: function () { let item = this.$refs.solutions; this.$refs.myTree.collapseItem(item);
|
destroy
|
None
|
None
|
Destroy the jqxTree widget. The destroy method removes the jqxTree widget from the web page.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.destroy();
|
disableItem
|
item
|
None
|
Disables a tree item.
<template> <div> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="disable()">Disable 'Solutions'</jqxButton> <jqxButton :width="150" @click="enable()">Enable 'Solutions'</jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { disable: function () { let item = this.$refs.solutions; this.$refs.myTree.disableItem(item); }, enable: function () { let item = this.$refs.solutions; this.$refs.myTree.enableItem(item);
|
ensureVisible
|
item
|
None
|
Ensures the visibility of an element.
<template> <JqxTree ref="myTree" :width="300" :height="150"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li ref="industries">All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let item = this.$refs.industries; this.$refs.myTree.ensureVisible(item);
|
enableItem
|
item
|
None
|
Enables a tree item.
<template> <div> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="disable()">Disable 'Solutions'</jqxButton> <jqxButton :width="150" @click="enable()">Enable 'Solutions'</jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { disable: function () { let item = this.$refs.solutions; this.$refs.myTree.disableItem(item); }, enable: function () { let item = this.$refs.solutions; this.$refs.myTree.enableItem(item);
|
enableAll
|
None
|
None
|
Enables all items.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.enableAll();
|
expandAll
|
None
|
None
|
Expandes all items.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.expandAll();
|
expandItem
|
item
|
None
|
Expands a tree item by passing an element as parameter.
<template> <div> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="expand()">Expand 'Solutions'</jqxButton> <jqxButton :width="150" @click="collapse()">Collapse 'Solutions'</jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { expand: function () { let item = this.$refs.solutions; this.$refs.myTree.expandItem(item); }, collapse: function () { let item = this.$refs.solutions; this.$refs.myTree.collapseItem(item);
|
focus
|
None
|
None
|
Sets the focus to the widget.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.focus();
|
getCheckedItems
|
None
|
Array
|
Gets an array with all checked tree items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li ref="education">Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let item = this.$refs.education; this.$refs.myTree.checkItem(item, true); let items = this.$refs.myTree.getCheckedItems();
|
getUncheckedItems
|
None
|
Array
|
Gets an array with all unchecked tree items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li ref="education">Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let item = this.$refs.education; this.$refs.myTree.checkItem(item, true); let items = this.$refs.myTree.getUncheckedItems();
|
getItems
|
None
|
Array
|
Gets an array with all tree items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { const value = this.$refs.myTree.getItems();
|
getItem
|
element
|
Object
|
Gets the tree item associated to a LI tag passed as parameter. The returned value is an object.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li ref="government">Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let ref = this.$refs.government; let item = this.$refs.myTree.getItem(ref);
|
getSelectedItem
|
None
|
Object
|
Gets the selected tree item.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { const value = this.$refs.myTree.getSelectedItem();
|
getPrevItem
|
item
|
Object
|
Gets the item above another item. The returned value is an object.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li item-selected='true'>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { const selectedItem = this.$refs.myTree.getSelectedItem(); const value = this.$refs.myTree.getPrevItem(selectedItem);
|
getNextItem
|
item
|
Object
|
Gets the item below another item. The returned value is an object.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li item-selected='true'>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { const selectedItem = this.$refs.myTree.getSelectedItem(); const value = this.$refs.myTree.getNextItem(selectedItem);
|
hitTest
|
left, top
|
Object
|
Gets an item at specific position. The method expects 2 parameters - left and top. The coordinates are relative to the document.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { const value = this.$refs.myTree.hitTest(100,100);
|
removeItem
|
item
|
None
|
Removes an item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li ref="government">Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let item = this.$refs.government; this.$refs.myTree.removeItem(item);
|
render
|
None
|
None
|
Renders the jqxTree widget.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.render();
|
refresh
|
None
|
None
|
Refreshes the jqxTree widget. The refresh method will update the jqxTree's layout and size.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'>Solutions <ul> <li>Education</li> <li>Financial services</li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template> <script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { this.$refs.myTree.refresh();
|
selectItem
|
item
|
None
|
Selects an item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li ref="government">Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let item = this.$refs.government; this.$refs.myTree.selectItem(item);
|
uncheckAll
|
None
|
None
|
Unchecks all tree items.
<template> <div> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="checkAll()">Check All </jqxButton> <jqxButton :width="150" @click="uncheckAll()">Uncheck All </jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { checkAll: function () { this.$refs.myTree.checkAll(); }, uncheckAll: function () { this.$refs.myTree.uncheckAll();
|
uncheckItem
|
item
|
None
|
Unchecks a tree item.
<template> <div> <JqxTree ref="myTree" :width="400" :checkboxes="true"> <ul> <li item-selected='true'>Home</li> <li ref="solutions" item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li ref="government">Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> <jqxButton :width="150" @click="check()">Check 'Government'</jqxButton> <jqxButton :width="150" @click="uncheck()">Uncheck 'Government'</jqxButton> </div></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTree, JqxButton }, methods: { check: function () { let item = this.$refs.government; this.$refs.myTree.checkItem(item); }, uncheck: function () { let item = this.$refs.government; this.$refs.myTree.uncheckItem(item);
|
updateItem
|
item, newItem
|
None
|
Updates an item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let items = this.$refs.myTree.getItems(); this.$refs.myTree.updateItem(items[0], { label: 'Updated Item' });
|
val
|
value
|
String
|
Sets or gets the selected item.
<template> <JqxTree ref="myTree" :width="400"> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree></template><script> import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxTree }, mounted: function () { let item = this.$refs.myTree.val();
|

Name | Type | Default |
animationShowDuration
|
number
|
350
|
Sets or gets the duration of the show animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} animationShowDuration={1000}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationHideDuration
|
number
|
fast
|
Sets or gets the duration of the hide animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} animationHideDuration={1000}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
allowDrag
|
boolean
|
false
|
Enables the dragging of Tree Items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} allowDrop={true} allowDrag={true}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
allowDrop
|
boolean
|
false
|
Enables the dropping of Tree Items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} allowDrop={true} allowDrag={true}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkboxes
|
boolean
|
false
|
Sets or gets whether the tree should display a checkbox next to each item. In order to use this feature, you need to include the jqxcheckbox.js.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} checkboxes={true}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragStart
|
(item: TreeDragStart['item']) => boolean
|
null
|
Interface TreeDragStart { item?: object; }
Callback function which is called when a drag operation starts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); constructor(props: {}) { super(props); this.state = { dragStart: (item: object): any => { console.log(item); } } } public render() { return ( <JqxTree ref={this.myTree} width={400} dragStart={this.state.dragStart}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragEnd
|
(dragItem?: TreeDragEnd['dragItem'], dropItem?: TreeDragEnd['dropItem'], args?: TreeDragEnd['args'], dropPosition?: TreeDragEnd['dropPosition'], tree?: TreeDragEnd['tree']) => boolean
|
null
|
Interface TreeDragEnd { dragItem?: any; dropItem?: any; args?: any; dropPosition?: any; tree?: any; }
Callback function which is called when a drag operation ends.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); constructor(props: {}) { super(props); this.state = { dragEnd: (dragItem: any, dropItem: any, args: any, dropPosition: any, tree: any): any => { console.log(dragItem); console.log(dropItem) console.log(args); console.log(dropPosition); console.log(tree); } } } public render() { return ( <JqxTree ref={this.myTree} width={400} dragEnd={this.state.dragEnd}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Gets or sets whether the tree is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} disabled={true}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
easing
|
string
|
'easeInOutCirc'
|
Sets or gets the animation's easing to one of the JQuery's supported easings.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} easing={ 'easeInOutCirc'}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
true
|
Enables or disables the hover state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} enableHover={false}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
null
|
Sets or gets the tree's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} height={300}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hasThreeStates
|
boolean
|
false
|
Sets or gets whether the tree checkboxes have three states - checked, unchecked and indeterminate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} checkboxes={true} hasThreeStates={true}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
incrementalSearch
|
boolean
|
true
|
Determines whether the incremental search is enabled. The feature allows you to quickly find and select items by typing when the widget is on focus.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} incrementalSearch={false}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
keyboardNavigation
|
boolean
|
true
|
Enables or disables the key navigation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} keyboardNavigation={false}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} rtl={true}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
any
|
null
|
Specifies the jqxTree's data source. Use this property to populate the jqxTree.
- label - sets the item's label.
- value - sets the item's value.
- html - item's html. The html to be displayed in the item.
- id - sets the item's id.
- disabled - sets whether the item is enabled/disabled.
- checked - sets whether the item is checked/unchecked(when checkboxes are enabled).
- expanded - sets whether the item is expanded or collapsed.
- selected - sets whether the item is selected.
- items - sets an array of sub items.
- icon - sets the item's icon(url is expected).
- iconsize - sets the size of the item's icon.
|
toggleIndicatorSize
|
number
|
16
|
Sets or gets the size of the expand/collapse arrows.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} toggleIndicatorSize={20}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toggleMode
|
TreeToggleMode
|
dblclick
|
TreeToggleMode: "click" | "dblclick"
Sets or gets user interaction used for expanding or collapsing any item.
Possible Values:
'click'
'dblclick'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} toggleMode={ 'click'}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400} theme={ 'material'}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the tree's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
added
|
Event
|
|
This event is triggered when the user adds a new tree item.
Code examples
Bind to the added event of jqxTree.
|
checkChange
|
Event
|
|
This event is triggered when the user checks, unchecks or the checkbox is in indeterminate state.
Code examples
Bind to the checkChange event of jqxTree.
|
collapse
|
Event
|
|
This event is triggered when the user collapses a tree item.
Code examples
Bind to the collapse event of jqxTree.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} onCollapse={this.onCollapse} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } private onCollapse(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragStart
|
Event
|
|
This event is triggered when the user starts a drag operation.
Code examples
Bind to the dragStart event of jqxTree.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} onDragStart={this.onDragStart} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } private onDragStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragEnd
|
Event
|
|
This event is triggered when the user drops an item.
Code examples
Bind to the dragEnd event of jqxTree.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} onDragEnd={this.onDragEnd} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } private onDragEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expand
|
Event
|
|
This event is triggered when the user expands a tree item.
Code examples
Bind to the expand event of jqxTree.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} onExpand={this.onExpand} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } private onExpand(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
itemClick
|
Event
|
|
This event is triggered when the user clicks a tree item.
Code examples
Bind to the itemClick event of jqxTree.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} onItemClick={this.onItemClick} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } private onItemClick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removed
|
Event
|
|
This event is triggered when the user removes a tree item.
Code examples
Bind to the removed event of jqxTree.
|
select
|
Event
|
|
This event is triggered when the user selects a tree item.
Code examples
Bind to the select event of jqxTree.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public render() { return ( <JqxTree ref={this.myTree} onSelect={this.onSelect} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } private onSelect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addBefore
|
item, id
|
|
Adds an item as a sibling of another item.
|
addAfter
|
item, id
|
|
Adds an item as a sibling of another item.
|
addTo
|
item, id
|
|
|
clear
|
None
|
|
Removes all elements.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.clear(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkAll
|
None
|
|
|
checkItem
|
item, checked
|
|
|
collapseAll
|
None
|
|
Collapses all items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.collapseAll(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapseItem
|
item
|
|
Collapses a tree item by passing an element as parameter.
|
destroy
|
None
|
|
Destroy the jqxTree widget. The destroy method removes the jqxTree widget from the web page.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.destroy(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableItem
|
item
|
|
|
ensureVisible
|
item
|
|
Ensures the visibility of an element.
|
enableItem
|
item
|
|
|
enableAll
|
None
|
|
Enables all items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.enableAll(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandAll
|
None
|
|
Expandes all items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.expandAll(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expandItem
|
item
|
|
Expands a tree item by passing an element as parameter.
|
focus
|
None
|
|
Sets the focus to the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.focus(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getCheckedItems
|
None
|
|
Gets an array with all checked tree items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
|
getUncheckedItems
|
None
|
|
Gets an array with all unchecked tree items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
|
getItems
|
None
|
|
Gets an array with all tree items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.getItems(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItem
|
element
|
|
Gets the tree item associated to a LI tag passed as parameter. The returned value is an object.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
|
getSelectedItem
|
None
|
|
Gets the selected tree item.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.getSelectedItem(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getPrevItem
|
item
|
|
Gets the item above another item. The returned value is an object.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
|
getNextItem
|
item
|
|
Gets the item below another item. The returned value is an object.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- element - gets the item's LI tag.
- parentElement - gets the item's parent LI tag.
- isExpanded - gets whether the item is expanded or collapsed.
- selected - gets whether the item is selected or not.
|
hitTest
|
left, top
|
|
Gets an item at specific position. The method expects 2 parameters - left and top. The coordinates are relative to the document.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.hitTest(100,100); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeItem
|
item
|
|
|
render
|
None
|
|
Renders the jqxTree widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.render(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the jqxTree widget. The refresh method will update the jqxTree's layout and size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent<{}, ITreeProps> { private myTree = React.createRef<JqxTree>(); public componentDidMount(): void { this.myTree.current!.refresh(); } public render() { return ( <JqxTree ref={this.myTree} width={400}> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'>Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li>Solutions <ul> <li>Consumer photo and video </li> <li>Mobile </li> <li>Rich Internet applications </li> <li>Technical communication </li> <li>Training and eLearning </li> <li>Web conferencing </li> </ul> </li> <li>All industries and solutions </li> </ul> </li> </ul> </JqxTree> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectItem
|
item
|
|
|
uncheckAll
|
None
|
|
|
uncheckItem
|
item
|
|
|
updateItem
|
item, newItem
|
|
|
val
|
value
|
|
Sets or gets the selected item.
|